# Network pick

A decision block that lets the user choose a nearby Wi-Fi network (access point).

The fiber will pause until the user has chosen a network, cancelled the dialog or the timeout expired.

## Input arguments

- Security — only show networks with selected security, default is to show all networks.
- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Network name — variable to assign the name of the picked network (SSID).
- Network address — variable to assign the address of the picked network (BSSID).